#ifndef CHATLINEBUFFER_HPP_INCLUDED
#define CHATLINEBUFFER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>
#include "MessageNode.hpp"

namespace Internal
{
    class ChatLineBuffer : public Object
    {
        public:
            ChatLineBuffer(const void* Obj);

            ChatLineBuffer() = default;
            ChatLineBuffer(ChatLineBuffer&& Obj) = default;
            ChatLineBuffer(const ChatLineBuffer& Obj) = default;
            ChatLineBuffer& operator=(ChatLineBuffer&& Obj) = default;
            ChatLineBuffer& operator=(const ChatLineBuffer& Obj) = default;

            static Class GetClass();

            std::int32_t GetLength() const;
            std::vector<MessageNode> GetLines() const;
            MessageNode GetLines(std::int32_t I) const;

    };
}

#endif // CHATLINEBUFFER_HPP_INCLUDED
